Jack::_session_params Struct Reference

This structure containes master/slave connection parameters, it's used to setup the whole system. More...

`#include <JackNetTool.h>`

## Public Attributes

char | fPacketType [8]
uint32_t | fProtocolVersion
int32_t | fPacketID
char | fName [JACK_CLIENT_NAME_SIZE]
char | fMasterNetName [JACK_SERVER_NAME_SIZE]
char | fSlaveNetName [JACK_SERVER_NAME_SIZE]
uint32_t | fMtu
uint32_t | fID
uint32_t | fTransportSync
int32_t | fSendAudioChannels
int32_t | fReturnAudioChannels
int32_t | fSendMidiChannels
int32_t | fReturnMidiChannels
uint32_t | fSampleRate
uint32_t | fPeriodSize
uint32_t | fSampleEncoder
uint32_t | fKBps
uint32_t | fSlaveSyncMode
uint32_t | fNetworkLatency

## Detailed Description

This structure containes master/slave connection parameters, it's used to setup the whole system.

We have :

- some info like version, type and packet id
- names
- network parameters (hostnames and mtu)
- nunber of audio and midi channels
- sample rate and buffersize
- number of audio frames in one network packet (depends on the channel number)
- is the NetDriver in Sync or ASync mode ?
- is the NetDriver linked with the master's transport

Data encoding : headers (session_params and packet_header) are encoded using HTN kind of functions but float data are kept in LITTLE_ENDIAN format (to avoid 2 conversions in the more common LITTLE_ENDIAN <==> LITTLE_ENDIAN connection case).

Definition at line 92 of file JackNetTool.h.

The documentation for this struct was generated from the following file:

- JackNetTool.h